org.eclipse.eef.core.api

## Interface InputDescriptor

    public interface InputDescriptor

This interface is used to describe the input of the EEF view. This input can be represented by two values (which can be identical), the original selection which can be a piece of text, a GMF mapping, a SWT widget, etc and the EMF semantic element which is represented by this selection. For example, we could consider a piece of text coming from a Xtext-based editor as the original selection (it could even be the ISelection object directly) and the semantic element could thus be the EMF object created by the Xtext parser for the selected piece of text.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getOriginalSelection()` The original selection before any interpretation or adaptation.
`org.eclipse.emf.ecore.EObject` `getSemanticElement()` The semantic model element of whom properties should be displayed, as determined from the original selection.

### Method Detail

#### getOriginalSelection

    java.lang.Object getOriginalSelection()

The original selection before any interpretation or adaptation.

Returns:
  the original selection.

#### getSemanticElement

    org.eclipse.emf.ecore.EObject getSemanticElement()

The semantic model element of whom properties should be displayed, as determined from the original selection.

Returns:
  the model element whose properties to display.